package com.qmth.sop.common.enums;

/**
 * @Description: 控件输入类型
 * @Param:
* @return:
* @Author: wangliang
* @Date: 2023/7/17
*/
public enum WidgetInputTypeEnum {

    STRING("字符串"),

    INT("整型"),

    LONG("长整型"),

    DOUBLE("浮点型"),

    ENUM("枚举"),

    DATE("日期"),

    BOOL("布尔"),

    BIGDECIMAL("精确浮点"),

    FILE("文件"),

    ARRAY("数组");

    private String title;

    private WidgetInputTypeEnum(String title) {
        this.title = title;
    }

    public String getTitle() {
        return title;
    }
}
